﻿using System;

namespace models
{

    [Serializable]
    public class LoginRequest
    {
        public String identity;
        public String password;

        public LoginRequest(string identity, string password)
        {
            this.identity = identity;
            this.password = password;
        }
    }
    
    [Serializable]
    public class LoginResponse
    {
        public Record record;
        public string token;
        
        [Serializable]
        public class Record
        {
            public string avatar;
            public string collectionId;
            public string collectionName;
            public string created;
            public string email;
            public bool emailVisibility;
            public string id;
            public string name;
            public string updated;
            public string username;
            public bool verified;
        }
    }
}