﻿using System;
using System.IO;
using System.Net;
using models;
using UnityEngine;
using utils;

namespace services
{
    public class TrashService
    {
        public static Trash GetTrash(String token, String id)
        {
            return Api<Trash>.get("/api/collections/trashs/records/"+id, token);
        }

        public static TrashList ListTrash(String token)
        {
            return Api<TrashList>.get("/api/collections/trashs/records/", token);
        }

        public static DataList ListTrashData(String token, String trashId)
        {
            return Api<DataList>.get("/api/collections/data/records/?trash_id="+trashId, token);
        }
    }
}